kind: pipeline
name: build and publish site
steps:
- name: submodules
  image: alpine/git
  commands:
  - git submodule update --init --recursive
  
- name: build apk
  image: itsblue.dev/plugins/qt-android:5.15.5-2
  settings:
    qmake_arguments: "CONFIG+=release"
    androiddeployqt_arguments: "--android-platform android-31"

- name: publish package
  image: alpine/curl
  commands:
    - env
    - "curl --fail --user $GITEA_USER:$GITEA_TOKEN --upload-file outputs/apk/debug/android-build-debug.apk https://itsblue.dev/api/packages/bluerock/generic/app/0-preview-${DRONE_COMMIT_SHA}/bluerock.apk"
  environment:
    GITEA_USER:
      from_secret: gitea-user
    GITEA_TOKEN:
      from_secret: gitea-token